import { PageRequest, PageRequestAmino, PageResponse, PageResponseAmino } from "../../../../cosmos/base/query/v1beta1/pagination";
import { Params, ParamsAmino } from "./transfer";
import { Denom, DenomAmino } from "./token";
import { Coin, CoinAmino } from "../../../../cosmos/base/v1beta1/coin";
import { BinaryReader, BinaryWriter } from "../../../../binary";
import { DeepPartial } from "../../../../helpers";
/**
 * QueryParamsRequest is the request type for the Query/Params RPC method.
 * @name QueryParamsRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryParamsRequest
 */
export interface QueryParamsRequest {
}
export interface QueryParamsRequestProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryParamsRequest";
    value: Uint8Array;
}
/**
 * QueryParamsRequest is the request type for the Query/Params RPC method.
 * @name QueryParamsRequestAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryParamsRequest
 */
export interface QueryParamsRequestAmino {
}
export interface QueryParamsRequestAminoMsg {
    type: "cosmos-sdk/QueryParamsRequest";
    value: QueryParamsRequestAmino;
}
/**
 * QueryParamsResponse is the response type for the Query/Params RPC method.
 * @name QueryParamsResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryParamsResponse
 */
export interface QueryParamsResponse {
    /**
     * params defines the parameters of the module.
     */
    params?: Params;
}
export interface QueryParamsResponseProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryParamsResponse";
    value: Uint8Array;
}
/**
 * QueryParamsResponse is the response type for the Query/Params RPC method.
 * @name QueryParamsResponseAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryParamsResponse
 */
export interface QueryParamsResponseAmino {
    /**
     * params defines the parameters of the module.
     */
    params?: ParamsAmino;
}
export interface QueryParamsResponseAminoMsg {
    type: "cosmos-sdk/QueryParamsResponse";
    value: QueryParamsResponseAmino;
}
/**
 * QueryDenomRequest is the request type for the Query/Denom RPC
 * method
 * @name QueryDenomRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomRequest
 */
export interface QueryDenomRequest {
    /**
     * hash (in hex format) or denom (full denom with ibc prefix) of the on chain denomination.
     */
    hash: string;
}
export interface QueryDenomRequestProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryDenomRequest";
    value: Uint8Array;
}
/**
 * QueryDenomRequest is the request type for the Query/Denom RPC
 * method
 * @name QueryDenomRequestAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomRequest
 */
export interface QueryDenomRequestAmino {
    /**
     * hash (in hex format) or denom (full denom with ibc prefix) of the on chain denomination.
     */
    hash: string;
}
export interface QueryDenomRequestAminoMsg {
    type: "cosmos-sdk/QueryDenomRequest";
    value: QueryDenomRequestAmino;
}
/**
 * QueryDenomResponse is the response type for the Query/Denom RPC
 * method.
 * @name QueryDenomResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomResponse
 */
export interface QueryDenomResponse {
    /**
     * denom returns the requested denomination.
     */
    denom?: Denom;
}
export interface QueryDenomResponseProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryDenomResponse";
    value: Uint8Array;
}
/**
 * QueryDenomResponse is the response type for the Query/Denom RPC
 * method.
 * @name QueryDenomResponseAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomResponse
 */
export interface QueryDenomResponseAmino {
    /**
     * denom returns the requested denomination.
     */
    denom?: DenomAmino;
}
export interface QueryDenomResponseAminoMsg {
    type: "cosmos-sdk/QueryDenomResponse";
    value: QueryDenomResponseAmino;
}
/**
 * QueryDenomsRequest is the request type for the Query/Denoms RPC
 * method
 * @name QueryDenomsRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomsRequest
 */
export interface QueryDenomsRequest {
    /**
     * pagination defines an optional pagination for the request.
     */
    pagination?: PageRequest;
}
export interface QueryDenomsRequestProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryDenomsRequest";
    value: Uint8Array;
}
/**
 * QueryDenomsRequest is the request type for the Query/Denoms RPC
 * method
 * @name QueryDenomsRequestAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomsRequest
 */
export interface QueryDenomsRequestAmino {
    /**
     * pagination defines an optional pagination for the request.
     */
    pagination?: PageRequestAmino;
}
export interface QueryDenomsRequestAminoMsg {
    type: "cosmos-sdk/QueryDenomsRequest";
    value: QueryDenomsRequestAmino;
}
/**
 * QueryDenomsResponse is the response type for the Query/Denoms RPC
 * method.
 * @name QueryDenomsResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomsResponse
 */
export interface QueryDenomsResponse {
    /**
     * denoms returns all denominations.
     */
    denoms: Denom[];
    /**
     * pagination defines the pagination in the response.
     */
    pagination?: PageResponse;
}
export interface QueryDenomsResponseProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryDenomsResponse";
    value: Uint8Array;
}
/**
 * QueryDenomsResponse is the response type for the Query/Denoms RPC
 * method.
 * @name QueryDenomsResponseAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomsResponse
 */
export interface QueryDenomsResponseAmino {
    /**
     * denoms returns all denominations.
     */
    denoms: DenomAmino[];
    /**
     * pagination defines the pagination in the response.
     */
    pagination?: PageResponseAmino;
}
export interface QueryDenomsResponseAminoMsg {
    type: "cosmos-sdk/QueryDenomsResponse";
    value: QueryDenomsResponseAmino;
}
/**
 * QueryDenomHashRequest is the request type for the Query/DenomHash RPC
 * method
 * @name QueryDenomHashRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomHashRequest
 */
export interface QueryDenomHashRequest {
    /**
     * The denomination trace ([port_id]/[channel_id])+/[denom]
     */
    trace: string;
}
export interface QueryDenomHashRequestProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryDenomHashRequest";
    value: Uint8Array;
}
/**
 * QueryDenomHashRequest is the request type for the Query/DenomHash RPC
 * method
 * @name QueryDenomHashRequestAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomHashRequest
 */
export interface QueryDenomHashRequestAmino {
    /**
     * The denomination trace ([port_id]/[channel_id])+/[denom]
     */
    trace: string;
}
export interface QueryDenomHashRequestAminoMsg {
    type: "cosmos-sdk/QueryDenomHashRequest";
    value: QueryDenomHashRequestAmino;
}
/**
 * QueryDenomHashResponse is the response type for the Query/DenomHash RPC
 * method.
 * @name QueryDenomHashResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomHashResponse
 */
export interface QueryDenomHashResponse {
    /**
     * hash (in hex format) of the denomination trace information.
     */
    hash: string;
}
export interface QueryDenomHashResponseProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryDenomHashResponse";
    value: Uint8Array;
}
/**
 * QueryDenomHashResponse is the response type for the Query/DenomHash RPC
 * method.
 * @name QueryDenomHashResponseAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomHashResponse
 */
export interface QueryDenomHashResponseAmino {
    /**
     * hash (in hex format) of the denomination trace information.
     */
    hash: string;
}
export interface QueryDenomHashResponseAminoMsg {
    type: "cosmos-sdk/QueryDenomHashResponse";
    value: QueryDenomHashResponseAmino;
}
/**
 * QueryEscrowAddressRequest is the request type for the EscrowAddress RPC method.
 * @name QueryEscrowAddressRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryEscrowAddressRequest
 */
export interface QueryEscrowAddressRequest {
    /**
     * unique port identifier
     */
    portId: string;
    /**
     * unique channel identifier
     */
    channelId: string;
}
export interface QueryEscrowAddressRequestProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryEscrowAddressRequest";
    value: Uint8Array;
}
/**
 * QueryEscrowAddressRequest is the request type for the EscrowAddress RPC method.
 * @name QueryEscrowAddressRequestAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryEscrowAddressRequest
 */
export interface QueryEscrowAddressRequestAmino {
    /**
     * unique port identifier
     */
    port_id: string;
    /**
     * unique channel identifier
     */
    channel_id: string;
}
export interface QueryEscrowAddressRequestAminoMsg {
    type: "cosmos-sdk/QueryEscrowAddressRequest";
    value: QueryEscrowAddressRequestAmino;
}
/**
 * QueryEscrowAddressResponse is the response type of the EscrowAddress RPC method.
 * @name QueryEscrowAddressResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryEscrowAddressResponse
 */
export interface QueryEscrowAddressResponse {
    /**
     * the escrow account address
     */
    escrowAddress: string;
}
export interface QueryEscrowAddressResponseProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryEscrowAddressResponse";
    value: Uint8Array;
}
/**
 * QueryEscrowAddressResponse is the response type of the EscrowAddress RPC method.
 * @name QueryEscrowAddressResponseAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryEscrowAddressResponse
 */
export interface QueryEscrowAddressResponseAmino {
    /**
     * the escrow account address
     */
    escrow_address: string;
}
export interface QueryEscrowAddressResponseAminoMsg {
    type: "cosmos-sdk/QueryEscrowAddressResponse";
    value: QueryEscrowAddressResponseAmino;
}
/**
 * QueryTotalEscrowForDenomRequest is the request type for TotalEscrowForDenom RPC method.
 * @name QueryTotalEscrowForDenomRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryTotalEscrowForDenomRequest
 */
export interface QueryTotalEscrowForDenomRequest {
    denom: string;
}
export interface QueryTotalEscrowForDenomRequestProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryTotalEscrowForDenomRequest";
    value: Uint8Array;
}
/**
 * QueryTotalEscrowForDenomRequest is the request type for TotalEscrowForDenom RPC method.
 * @name QueryTotalEscrowForDenomRequestAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryTotalEscrowForDenomRequest
 */
export interface QueryTotalEscrowForDenomRequestAmino {
    denom: string;
}
export interface QueryTotalEscrowForDenomRequestAminoMsg {
    type: "cosmos-sdk/QueryTotalEscrowForDenomRequest";
    value: QueryTotalEscrowForDenomRequestAmino;
}
/**
 * QueryTotalEscrowForDenomResponse is the response type for TotalEscrowForDenom RPC method.
 * @name QueryTotalEscrowForDenomResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryTotalEscrowForDenomResponse
 */
export interface QueryTotalEscrowForDenomResponse {
    amount: Coin;
}
export interface QueryTotalEscrowForDenomResponseProtoMsg {
    typeUrl: "/ibc.applications.transfer.v1.QueryTotalEscrowForDenomResponse";
    value: Uint8Array;
}
/**
 * QueryTotalEscrowForDenomResponse is the response type for TotalEscrowForDenom RPC method.
 * @name QueryTotalEscrowForDenomResponseAmino
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryTotalEscrowForDenomResponse
 */
export interface QueryTotalEscrowForDenomResponseAmino {
    amount: CoinAmino;
}
export interface QueryTotalEscrowForDenomResponseAminoMsg {
    type: "cosmos-sdk/QueryTotalEscrowForDenomResponse";
    value: QueryTotalEscrowForDenomResponseAmino;
}
/**
 * QueryParamsRequest is the request type for the Query/Params RPC method.
 * @name QueryParamsRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryParamsRequest
 */
export declare const QueryParamsRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryParamsRequest;
    isAmino(o: any): o is QueryParamsRequestAmino;
    encode(_: QueryParamsRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryParamsRequest;
    fromPartial(_: DeepPartial<QueryParamsRequest>): QueryParamsRequest;
    fromAmino(_: QueryParamsRequestAmino): QueryParamsRequest;
    toAmino(_: QueryParamsRequest): QueryParamsRequestAmino;
    fromAminoMsg(object: QueryParamsRequestAminoMsg): QueryParamsRequest;
    toAminoMsg(message: QueryParamsRequest): QueryParamsRequestAminoMsg;
    fromProtoMsg(message: QueryParamsRequestProtoMsg): QueryParamsRequest;
    toProto(message: QueryParamsRequest): Uint8Array;
    toProtoMsg(message: QueryParamsRequest): QueryParamsRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryParamsResponse is the response type for the Query/Params RPC method.
 * @name QueryParamsResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryParamsResponse
 */
export declare const QueryParamsResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryParamsResponse;
    isAmino(o: any): o is QueryParamsResponseAmino;
    encode(message: QueryParamsResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryParamsResponse;
    fromPartial(object: DeepPartial<QueryParamsResponse>): QueryParamsResponse;
    fromAmino(object: QueryParamsResponseAmino): QueryParamsResponse;
    toAmino(message: QueryParamsResponse): QueryParamsResponseAmino;
    fromAminoMsg(object: QueryParamsResponseAminoMsg): QueryParamsResponse;
    toAminoMsg(message: QueryParamsResponse): QueryParamsResponseAminoMsg;
    fromProtoMsg(message: QueryParamsResponseProtoMsg): QueryParamsResponse;
    toProto(message: QueryParamsResponse): Uint8Array;
    toProtoMsg(message: QueryParamsResponse): QueryParamsResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryDenomRequest is the request type for the Query/Denom RPC
 * method
 * @name QueryDenomRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomRequest
 */
export declare const QueryDenomRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryDenomRequest;
    isAmino(o: any): o is QueryDenomRequestAmino;
    encode(message: QueryDenomRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryDenomRequest;
    fromPartial(object: DeepPartial<QueryDenomRequest>): QueryDenomRequest;
    fromAmino(object: QueryDenomRequestAmino): QueryDenomRequest;
    toAmino(message: QueryDenomRequest): QueryDenomRequestAmino;
    fromAminoMsg(object: QueryDenomRequestAminoMsg): QueryDenomRequest;
    toAminoMsg(message: QueryDenomRequest): QueryDenomRequestAminoMsg;
    fromProtoMsg(message: QueryDenomRequestProtoMsg): QueryDenomRequest;
    toProto(message: QueryDenomRequest): Uint8Array;
    toProtoMsg(message: QueryDenomRequest): QueryDenomRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryDenomResponse is the response type for the Query/Denom RPC
 * method.
 * @name QueryDenomResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomResponse
 */
export declare const QueryDenomResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryDenomResponse;
    isAmino(o: any): o is QueryDenomResponseAmino;
    encode(message: QueryDenomResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryDenomResponse;
    fromPartial(object: DeepPartial<QueryDenomResponse>): QueryDenomResponse;
    fromAmino(object: QueryDenomResponseAmino): QueryDenomResponse;
    toAmino(message: QueryDenomResponse): QueryDenomResponseAmino;
    fromAminoMsg(object: QueryDenomResponseAminoMsg): QueryDenomResponse;
    toAminoMsg(message: QueryDenomResponse): QueryDenomResponseAminoMsg;
    fromProtoMsg(message: QueryDenomResponseProtoMsg): QueryDenomResponse;
    toProto(message: QueryDenomResponse): Uint8Array;
    toProtoMsg(message: QueryDenomResponse): QueryDenomResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryDenomsRequest is the request type for the Query/Denoms RPC
 * method
 * @name QueryDenomsRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomsRequest
 */
export declare const QueryDenomsRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryDenomsRequest;
    isAmino(o: any): o is QueryDenomsRequestAmino;
    encode(message: QueryDenomsRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryDenomsRequest;
    fromPartial(object: DeepPartial<QueryDenomsRequest>): QueryDenomsRequest;
    fromAmino(object: QueryDenomsRequestAmino): QueryDenomsRequest;
    toAmino(message: QueryDenomsRequest): QueryDenomsRequestAmino;
    fromAminoMsg(object: QueryDenomsRequestAminoMsg): QueryDenomsRequest;
    toAminoMsg(message: QueryDenomsRequest): QueryDenomsRequestAminoMsg;
    fromProtoMsg(message: QueryDenomsRequestProtoMsg): QueryDenomsRequest;
    toProto(message: QueryDenomsRequest): Uint8Array;
    toProtoMsg(message: QueryDenomsRequest): QueryDenomsRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryDenomsResponse is the response type for the Query/Denoms RPC
 * method.
 * @name QueryDenomsResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomsResponse
 */
export declare const QueryDenomsResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryDenomsResponse;
    isAmino(o: any): o is QueryDenomsResponseAmino;
    encode(message: QueryDenomsResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryDenomsResponse;
    fromPartial(object: DeepPartial<QueryDenomsResponse>): QueryDenomsResponse;
    fromAmino(object: QueryDenomsResponseAmino): QueryDenomsResponse;
    toAmino(message: QueryDenomsResponse): QueryDenomsResponseAmino;
    fromAminoMsg(object: QueryDenomsResponseAminoMsg): QueryDenomsResponse;
    toAminoMsg(message: QueryDenomsResponse): QueryDenomsResponseAminoMsg;
    fromProtoMsg(message: QueryDenomsResponseProtoMsg): QueryDenomsResponse;
    toProto(message: QueryDenomsResponse): Uint8Array;
    toProtoMsg(message: QueryDenomsResponse): QueryDenomsResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryDenomHashRequest is the request type for the Query/DenomHash RPC
 * method
 * @name QueryDenomHashRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomHashRequest
 */
export declare const QueryDenomHashRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryDenomHashRequest;
    isAmino(o: any): o is QueryDenomHashRequestAmino;
    encode(message: QueryDenomHashRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryDenomHashRequest;
    fromPartial(object: DeepPartial<QueryDenomHashRequest>): QueryDenomHashRequest;
    fromAmino(object: QueryDenomHashRequestAmino): QueryDenomHashRequest;
    toAmino(message: QueryDenomHashRequest): QueryDenomHashRequestAmino;
    fromAminoMsg(object: QueryDenomHashRequestAminoMsg): QueryDenomHashRequest;
    toAminoMsg(message: QueryDenomHashRequest): QueryDenomHashRequestAminoMsg;
    fromProtoMsg(message: QueryDenomHashRequestProtoMsg): QueryDenomHashRequest;
    toProto(message: QueryDenomHashRequest): Uint8Array;
    toProtoMsg(message: QueryDenomHashRequest): QueryDenomHashRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryDenomHashResponse is the response type for the Query/DenomHash RPC
 * method.
 * @name QueryDenomHashResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryDenomHashResponse
 */
export declare const QueryDenomHashResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryDenomHashResponse;
    isAmino(o: any): o is QueryDenomHashResponseAmino;
    encode(message: QueryDenomHashResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryDenomHashResponse;
    fromPartial(object: DeepPartial<QueryDenomHashResponse>): QueryDenomHashResponse;
    fromAmino(object: QueryDenomHashResponseAmino): QueryDenomHashResponse;
    toAmino(message: QueryDenomHashResponse): QueryDenomHashResponseAmino;
    fromAminoMsg(object: QueryDenomHashResponseAminoMsg): QueryDenomHashResponse;
    toAminoMsg(message: QueryDenomHashResponse): QueryDenomHashResponseAminoMsg;
    fromProtoMsg(message: QueryDenomHashResponseProtoMsg): QueryDenomHashResponse;
    toProto(message: QueryDenomHashResponse): Uint8Array;
    toProtoMsg(message: QueryDenomHashResponse): QueryDenomHashResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryEscrowAddressRequest is the request type for the EscrowAddress RPC method.
 * @name QueryEscrowAddressRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryEscrowAddressRequest
 */
export declare const QueryEscrowAddressRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryEscrowAddressRequest;
    isAmino(o: any): o is QueryEscrowAddressRequestAmino;
    encode(message: QueryEscrowAddressRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryEscrowAddressRequest;
    fromPartial(object: DeepPartial<QueryEscrowAddressRequest>): QueryEscrowAddressRequest;
    fromAmino(object: QueryEscrowAddressRequestAmino): QueryEscrowAddressRequest;
    toAmino(message: QueryEscrowAddressRequest): QueryEscrowAddressRequestAmino;
    fromAminoMsg(object: QueryEscrowAddressRequestAminoMsg): QueryEscrowAddressRequest;
    toAminoMsg(message: QueryEscrowAddressRequest): QueryEscrowAddressRequestAminoMsg;
    fromProtoMsg(message: QueryEscrowAddressRequestProtoMsg): QueryEscrowAddressRequest;
    toProto(message: QueryEscrowAddressRequest): Uint8Array;
    toProtoMsg(message: QueryEscrowAddressRequest): QueryEscrowAddressRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryEscrowAddressResponse is the response type of the EscrowAddress RPC method.
 * @name QueryEscrowAddressResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryEscrowAddressResponse
 */
export declare const QueryEscrowAddressResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryEscrowAddressResponse;
    isAmino(o: any): o is QueryEscrowAddressResponseAmino;
    encode(message: QueryEscrowAddressResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryEscrowAddressResponse;
    fromPartial(object: DeepPartial<QueryEscrowAddressResponse>): QueryEscrowAddressResponse;
    fromAmino(object: QueryEscrowAddressResponseAmino): QueryEscrowAddressResponse;
    toAmino(message: QueryEscrowAddressResponse): QueryEscrowAddressResponseAmino;
    fromAminoMsg(object: QueryEscrowAddressResponseAminoMsg): QueryEscrowAddressResponse;
    toAminoMsg(message: QueryEscrowAddressResponse): QueryEscrowAddressResponseAminoMsg;
    fromProtoMsg(message: QueryEscrowAddressResponseProtoMsg): QueryEscrowAddressResponse;
    toProto(message: QueryEscrowAddressResponse): Uint8Array;
    toProtoMsg(message: QueryEscrowAddressResponse): QueryEscrowAddressResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryTotalEscrowForDenomRequest is the request type for TotalEscrowForDenom RPC method.
 * @name QueryTotalEscrowForDenomRequest
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryTotalEscrowForDenomRequest
 */
export declare const QueryTotalEscrowForDenomRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryTotalEscrowForDenomRequest;
    isAmino(o: any): o is QueryTotalEscrowForDenomRequestAmino;
    encode(message: QueryTotalEscrowForDenomRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryTotalEscrowForDenomRequest;
    fromPartial(object: DeepPartial<QueryTotalEscrowForDenomRequest>): QueryTotalEscrowForDenomRequest;
    fromAmino(object: QueryTotalEscrowForDenomRequestAmino): QueryTotalEscrowForDenomRequest;
    toAmino(message: QueryTotalEscrowForDenomRequest): QueryTotalEscrowForDenomRequestAmino;
    fromAminoMsg(object: QueryTotalEscrowForDenomRequestAminoMsg): QueryTotalEscrowForDenomRequest;
    toAminoMsg(message: QueryTotalEscrowForDenomRequest): QueryTotalEscrowForDenomRequestAminoMsg;
    fromProtoMsg(message: QueryTotalEscrowForDenomRequestProtoMsg): QueryTotalEscrowForDenomRequest;
    toProto(message: QueryTotalEscrowForDenomRequest): Uint8Array;
    toProtoMsg(message: QueryTotalEscrowForDenomRequest): QueryTotalEscrowForDenomRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryTotalEscrowForDenomResponse is the response type for TotalEscrowForDenom RPC method.
 * @name QueryTotalEscrowForDenomResponse
 * @package ibc.applications.transfer.v1
 * @see proto type: ibc.applications.transfer.v1.QueryTotalEscrowForDenomResponse
 */
export declare const QueryTotalEscrowForDenomResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryTotalEscrowForDenomResponse;
    isAmino(o: any): o is QueryTotalEscrowForDenomResponseAmino;
    encode(message: QueryTotalEscrowForDenomResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryTotalEscrowForDenomResponse;
    fromPartial(object: DeepPartial<QueryTotalEscrowForDenomResponse>): QueryTotalEscrowForDenomResponse;
    fromAmino(object: QueryTotalEscrowForDenomResponseAmino): QueryTotalEscrowForDenomResponse;
    toAmino(message: QueryTotalEscrowForDenomResponse): QueryTotalEscrowForDenomResponseAmino;
    fromAminoMsg(object: QueryTotalEscrowForDenomResponseAminoMsg): QueryTotalEscrowForDenomResponse;
    toAminoMsg(message: QueryTotalEscrowForDenomResponse): QueryTotalEscrowForDenomResponseAminoMsg;
    fromProtoMsg(message: QueryTotalEscrowForDenomResponseProtoMsg): QueryTotalEscrowForDenomResponse;
    toProto(message: QueryTotalEscrowForDenomResponse): Uint8Array;
    toProtoMsg(message: QueryTotalEscrowForDenomResponse): QueryTotalEscrowForDenomResponseProtoMsg;
    registerTypeUrl(): void;
};
